Agents

List agents

Retrieve all configured voice agents in the active workspace.

GET
/agents

Retrieve all configured voice agents in the active workspace.

Authorization

ApiKeyAuth
X-API-Key<token>

Voice platform authentication secret. Create one from the API Keys endpoint or your dashboard.

In: header

Response Body

application/json

application/json

curl -X GET "https://example.com/agents"
{  "data": [    {      "id": "agt_8skd92ja",      "name": "Sales Outreach Bot",      "callingProvider": "local_voice",      "firstMessage": "Hello, am I speaking with the customer?",      "language": "en",      "model": "gpt-4o-realtime-preview",      "status": "active",      "temperature": 70,      "toolIds": [        "tool_19ja0s"      ],      "ttsVoice": "af_heart",      "voiceId": "alloy",      "updatedAt": "2026-06-01T09:30:00Z"    }  ]}
{  "statusCode": 401,  "message": "Unauthorized",  "error": "Unauthorized"}